|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3CanvasLine Class Reference
[Qt3Support module]

The Q3CanvasLine class provides a line on a Q3Canvas. More...

     #include <Q3CanvasLine>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Note to Qt Desktop Light Edition users: This class is only available in the Qt Desktop Edition.

Inherits Q3CanvasPolygonalItem.

- List of all members, including inherited members

### Public Functions

- Q3CanvasLine ( Q3Canvas * canvas )
- ~Q3CanvasLine ()
- QPoint endPoint () const
- virtual int rtti () const
- void setPoints ( int xa, int ya, int xb, int yb )
- QPoint startPoint () const

- 8 public functions inherited from Q3CanvasPolygonalItem
- 34 public functions inherited from Q3CanvasItem

### Additional Inherited Members

- 6 protected functions inherited from Q3CanvasPolygonalItem
- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasLine class provides a line on a Q3Canvas.

The line inherits functionality from Q3CanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

See also QtCanvas and Porting to Graphics View.

## Member Function Documentation

### Q3CanvasLine::Q3CanvasLine ( Q3Canvas * canvas )

Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints().

### Q3CanvasLine::~Q3CanvasLine ()

Destroys the line.

### QPoint Q3CanvasLine::endPoint () const

Returns the end point of the line.

See also setPoints() and startPoint().

### int Q3CanvasLine::rtti () const `[virtual]`

Returns 7 (Q3CanvasItem::Rtti_Line).

Reimplemented from Q3CanvasItem.

See also Q3CanvasItem::rtti().

### void Q3CanvasLine::setPoints ( int xa, int ya, int xb, int yb )

Sets the line's start point to (xa, ya) and its end point to (xb, yb).

### QPoint Q3CanvasLine::startPoint () const

Returns the start point of the line.

See also setPoints() and endPoint().